### Method

# GExiv2 Metadata get_exif_tag_rational

since: 0.16.0

#### Declaration [src]

    gboolean
    gexiv2_metadata_get_exif_tag_rational (
      GExiv2Metadata* self,
      const gchar* tag,
      gint* nom,
      gint* den,
      GError** error
    )

#### Description [src]

Fetch EXIF `tag` represented by a fraction. `nom` will contain the numerator, `den` the denominator of the fraction on successful return.

Available since: 0.16.0

#### Parameters

`tag`

  Type: `const gchar*`

  The tag you want the rational value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`nom`

  Type: `gint*`

  The numerator.

  The argument will be set by the function.

`den`

  Type: `gint*`

  The denominator.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success value.